## r-cran-rinside 0.2.13

=== DESCRIPTION ===
Package: RInside
Title: C++ Classes to Embed R in C++ Applications
Version: 0.2.13
Date: 2015-05-20
Author: Dirk Eddelbuettel and Romain Francois
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: C++ classes to embed R in C++ applications
 The 'RInside' packages makes it easier to have "R inside" your C++ application
 by providing a C++ wrapper class providing the R interpreter.
 .
   As R itself is embedded into your application, a shared library build of R
 is required. This works on Linux, OS X and even on Windows provided you use
 the same tools used to build R itself.  
 .
   Numerous examples are provided in the eight subdirectories of the examples/
 directory of the installed package: standard, mpi (for parallel computing)
 qt (showing how to embed 'RInside' inside a Qt GUI application), wt (showing
 how to build a "web-application" using the Wt toolkit), armadillo (for
 'RInside' use with 'RcppArmadillo') and eigen (for 'RInside' use with 'RcppEigen').
 The example use GNUmakefile(s) with GNU extensions, so a GNU make is required
 (and will use the GNUmakefile automatically).
 .
   Doxygen-generated documentation of the C++ classes is available at the
 'RInside' website as well.
Depends: R (>= 2.10.0)
Imports: Rcpp (>= 0.11.0)
LinkingTo: Rcpp
URL: http://dirk.eddelbuettel.com/code/rinside.html
License: GPL (>= 2)
BugReports: https://github.com/eddelbuettel/rinside/issues
MailingList: Please send questions and comments regarding RInside to
        rcpp-devel@lists.r-forge.r-project.org
NeedsCompilation: yes
Packaged: 2015-05-20 12:59:06.680335 UTC; edd
Repository: CRAN
Date/Publication: 2015-05-20 15:19:30

=== debian/changelog ===
r-cran-rinside (0.2.13-1) unstable; urgency=low

  [ Dirk Eddelbuettel ]
  * Initial Debian release 				(Closes: #797575)

  [ Jonathon Love ]
  * Initial packaging. 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Sep 2015 20:22:38 -0500

=== debian/control ===
Source: r-cran-rinside
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.2.2), cdbs, r-cran-rcpp (>= 0.11.0)
Standards-Version: 3.9.6
Homepage: http://dirk.eddelbuettel.com/code/rinside.html

Package: r-cran-rinside
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-rcpp
Description: GNU R package to embed R in C++ application
 The 'RInside' packages makes it easier to have "R inside" your C++
 application by providing a C++ wrapper class providing the R
 interpreter.
 .
 As R itself is embedded into your application, a shared library build
 of R is required. This works on Linux, OS X and even on Windows
 provided you use the same tools used to build R itself.
 .
 Numerous examples are provided in the eight subdirectories of the
 examples/ directory of the installed package: standard, mpi (for
 parallel computing) qt (showing how to embed 'RInside' inside a Qt
 GUI application), wt (showing how to build a "web-application" using
 the Wt toolkit), armadillo (for 'RInside' use with 'RcppArmadillo')
 and eigen (for 'RInside' use with 'RcppEigen').  The example use
 GNUmakefile(s) with GNU extensions, so a GNU make is required (and
 will use the GNUmakefile automatically).
 .
 Doxygen-generated documentation of the C++ classes is available at
 the 'RInside' website as well.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rinside package
# Copyright 2003 - 2015 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

## r-cran-rinside 0.2.14

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RInside
 Title: C++ Classes to Embed R in C++ Applications
-Version: 0.2.13
-Date: 2015-05-20
+Version: 0.2.14
+Date: 2017-04-28
 Author: Dirk Eddelbuettel and Romain Francois
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: C++ classes to embed R in C++ applications
@@ -31,6 +31,6 @@
 MailingList: Please send questions and comments regarding RInside to
         rcpp-devel@lists.r-forge.r-project.org
 NeedsCompilation: yes
-Packaged: 2015-05-20 12:59:06.680335 UTC; edd
+Packaged: 2017-04-28 11:46:12.919864 UTC; edd
 Repository: CRAN
-Date/Publication: 2015-05-20 15:19:30
+Date/Publication: 2017-05-05 03:19:32 UTC

=== inst/examples/qt/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.4) 

project(qtdensitydemo)
find_package(Qt4 REQUIRED) # find and setup Qt4 for this project

set(CMAKE_VERBOSE_MAKEFILE 0)

set(QT_USE_QTSVG 1)

add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_DLL)
include(${QT_USE_FILE})
include_directories(${QT_INCLUDE_DIR})
link_directories(${QT_LIBRARY_DIR})

execute_process(COMMAND R RHOME
                OUTPUT_VARIABLE R_HOME)

set(sources ../main.cpp
            ../qtdensity.cpp)
             
set(headers ../qtdensity.h)
qt4_wrap_cpp(sources ${headers})

set(NUM_TRUNC_CHARS 2)

execute_process(COMMAND R CMD config --cppflags
                OUTPUT_VARIABLE RCPPFLAGS)
string(SUBSTRING ${RCPPFLAGS} ${NUM_TRUNC_CHARS} -1 RCPPFLAGS)
include_directories(${RCPPFLAGS})

execute_process(COMMAND R CMD config --ldflags
                OUTPUT_VARIABLE RLDFLAGS)
string(LENGTH ${RLDFLAGS} RLDFLAGS_LEN)

if (${RLDFLAGS} MATCHES "[-][L]([^ ;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RLDFLAGS_L)
    string(STRIP ${RLDFLAGS_L} RLDFLAGS_L )
    link_directories(${RLDFLAGS_L})
endif()

if (${RLDFLAGS} MATCHES "[-][l]([^;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RLDFLAGS_l)
    string(STRIP ${RLDFLAGS_l} RLDFLAGS_l )
endif()

execute_process(COMMAND Rscript -e "Rcpp:::CxxFlags()"
                OUTPUT_VARIABLE RCPPINCL)
string(SUBSTRING ${RCPPINCL} ${NUM_TRUNC_CHARS} -1 RCPPINCL)
include_directories(${RCPPINCL})

execute_process(COMMAND Rscript -e "Rcpp:::LdFlags()"
                OUTPUT_VARIABLE RCPPLIBS)
if (${RCPPLIBS} MATCHES "[-][L]([^ ;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RCPPLIBS_L)
    link_directories(${RCPPLIBS_L} )
endif()

if (${RCPPLIBS} MATCHES "[-][l][R]([^;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RCPPLIBS_l)
endif()

execute_process(COMMAND Rscript -e "RInside:::CxxFlags()"
                OUTPUT_VARIABLE RINSIDEINCL)
string(SUBSTRING ${RINSIDEINCL} ${NUM_TRUNC_CHARS} -1 RINSIDEINCL)
include_directories(${RINSIDEINCL})

execute_process(COMMAND Rscript -e "RInside:::LdFlags()"
                OUTPUT_VARIABLE RINSIDELIBS)
if (${RINSIDELIBS} MATCHES "[-][L]([^ ;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RINSIDELIBS_L)
    link_directories(${RINSIDELIBS_L})
endif()

if (${RINSIDELIBS} MATCHES "[-][l][R]([^;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RINSIDELIBS_l)
endif()

execute_process(COMMAND R CMD config CXXFLAGS
                OUTPUT_VARIABLE RCXXFLAGS)

execute_process(COMMAND R CMD config BLAS_LIBS
                OUTPUT_VARIABLE RBLAS)

execute_process(COMMAND R CMD config LAPACK_LIBS
                OUTPUT_VARIABLE RLAPACK)

set(CMAKE_CXX_FLAGS "-W -Wall -pedantic -Wextra ${CMAKE_CXX_FLAGS}")

if (CMAKE_BUILD_TYPE STREQUAL "DEBUG" OR
    CMAKE_BUILD_TYPE STREQUAL "RelWithDebugInfo" )
    add_definitions("-DDEBUG")
elseif ( CMAKE_BUILD_TYPE STREQUAL "RELEASE" )
    add_definitions("-O3")
endif()

add_executable(qtdensitydemo ${sources} ${headers} )

target_link_libraries(qtdensitydemo ${BLAS_LIBS})
target_link_libraries(qtdensitydemo ${LAPACK_LIBS})
target_link_libraries(qtdensitydemo ${QT_LIBRARIES})
target_link_libraries(qtdensitydemo ${RCPPLIBS_l})
target_link_libraries(qtdensitydemo ${RINSIDELIBS_l})
target_link_libraries(qtdensitydemo ${RLDFLAGS_l})

=== debian/changelog ===
r-cran-rinside (0.2.14-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Sep 2017 08:16:24 +0000

r-cran-rinside (0.2.14-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 05 May 2017 20:51:28 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.2.2), cdbs, r-cran-rcpp (>= 0.11.0)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.0), cdbs, r-cran-rcpp (>= 0.11.0)
+Standards-Version: 3.9.8
 Homepage: http://dirk.eddelbuettel.com/code/rinside.html
 
 Package: r-cran-rinside

## r-cran-rinside 0.2.15

=== DESCRIPTION ===
Package: RInside
Title: C++ Classes to Embed R in C++ Applications
Version: 0.2.15
Date: 2019-03-06
Author: Dirk Eddelbuettel and Romain Francois
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: C++ classes to embed R in C++ applications
 A C++ class providing the R interpreter is offered by this package
 making it easier to have "R inside" your C++ application. As R itself
 is embedded into your application, a shared library build of R is
 required. This works on Linux, OS X and even on Windows provided you
 use the same tools used to build R itself. d Numerous examples are
 provided in the eight subdirectories of the examples/ directory of
 the installed package: standard, 'mpi' (for parallel computing), 'qt'
 (showing how to embed 'RInside' inside a Qt GUI application), 'wt'
 (showing how to build a "web-application" using the Wt toolkit),
 'armadillo' (for 'RInside' use with 'RcppArmadillo') and 'eigen' (for
 'RInside' use with 'RcppEigen').  The examples use 'GNUmakefile(s)'
 with GNU extensions, so a GNU make is required (and will use the
 'GNUmakefile' automatically). 'Doxygen'-generated documentation of
 the C++ classes is available at the 'RInside' website as well.
Depends: R (>= 2.10.0)
Imports: Rcpp (>= 0.11.0)
LinkingTo: Rcpp
URL: http://dirk.eddelbuettel.com/code/rinside.html
License: GPL (>= 2)
BugReports: https://github.com/eddelbuettel/rinside/issues
MailingList: Please send questions and comments regarding RInside to
        rcpp-devel@lists.r-forge.r-project.org
NeedsCompilation: yes
Packaged: 2019-03-06 12:59:17.136291 UTC; edd
Repository: CRAN
Date/Publication: 2019-03-06 15:32:49 UTC

=== debian/changelog ===
r-cran-rinside (0.2.15-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:40 +0100

r-cran-rinside (0.2.15-2) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Aug 2019 08:01:58 -0500

r-cran-rinside (0.2.15-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem
  * debian/compat: Increased level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Mar 2019 19:11:58 -0600

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.0), cdbs, r-cran-rcpp (>= 0.11.0)
-Standards-Version: 3.9.8
-Homepage: http://dirk.eddelbuettel.com/code/rinside.html
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.1), dh-r, r-cran-rcpp (>= 0.11.0)
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/edd/r-cran-rinside
+Vcs-Git: https://salsa.debian.org/edd/r-cran-rinside.git
+Homepage: https://cran.r-project.org/package=RInside
 
 Package: r-cran-rinside
 Architecture: any

## r-cran-rinside 0.2.16

=== DESCRIPTION ===
Package: RInside
Title: C++ Classes to Embed R in C++ (and C) Applications
Version: 0.2.16
Date: 2020-03-12
Author: Dirk Eddelbuettel, Romain Francois, and Lance Bachmeier
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: C++ classes to embed R in C++ (and C) applications
 A C++ class providing the R interpreter is offered by this package
 making it easier to have "R inside" your C++ application. As R itself
 is embedded into your application, a shared library build of R is
 required. This works on Linux, OS X and even on Windows provided you
 use the same tools used to build R itself. Numerous examples are
 provided in the nine subdirectories of the examples/ directory of
 the installed package: standard, 'mpi' (for parallel computing), 'qt'
 (showing how to embed 'RInside' inside a Qt GUI application), 'wt'
 (showing how to build a "web-application" using the Wt toolkit),
 'armadillo' (for 'RInside' use with 'RcppArmadillo'), 'eigen' (for
 'RInside' use with 'RcppEigen'), and 'c_interface' for a basic C
 interface and 'Ruby' illustration.  The examples use 'GNUmakefile(s)'
 with GNU extensions, so a GNU make is required (and will use the
 'GNUmakefile' automatically). 'Doxygen'-generated documentation of
 the C++ classes is available at the 'RInside' website as well.
Imports: Rcpp
LinkingTo: Rcpp
URL: http://dirk.eddelbuettel.com/code/rinside.html
License: GPL (>= 2)
BugReports: https://github.com/eddelbuettel/rinside/issues
MailingList: Please send questions and comments regarding RInside to
        rcpp-devel@lists.r-forge.r-project.org
NeedsCompilation: yes
Packaged: 2020-03-12 12:21:27.111341 UTC; edd
Repository: CRAN
Date/Publication: 2020-03-12 15:10:02 UTC

=== inst/examples/standard/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.4) 

set (VERBOSE 1)
set (SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR}/..)

file(GLOB sources ${SRC_DIR}/*.cpp)

set(NUM_TRUNC_CHARS 2)

set (RPATH "R")
set (RSCRIPT_PATH "Rscript")

if (CMAKE_HOST_WIN32)
    execute_process(COMMAND ${RSCRIPT_PATH} -e "cat(.Platform$r_arch)"
                    OUTPUT_VARIABLE R_ARCH)
		
	execute_process(COMMAND ${RPATH} --arch ${R_ARCH} RHOME
                    OUTPUT_VARIABLE R_HOME)
	
    string(REPLACE "\\" "/" R_HOME ${R_HOME})	
	
	set (RPATH ${R_HOME}/bin/R)
endif()

set (RCPPFLAGS_CMD " ${RPATH} " " CMD " " config " " --cppflags ") 

execute_process(COMMAND ${RPATH} CMD config --cppflags
                OUTPUT_VARIABLE RCPPFLAGS)
				
if (CMAKE_HOST_WIN32)					
	if (${RCPPFLAGS} MATCHES "[-][I]([^ ;])+")
	    set (RCPPFLAGS ${CMAKE_MATCH_0})
    endif()
endif()

string(SUBSTRING ${RCPPFLAGS} ${NUM_TRUNC_CHARS} -1 RCPPFLAGS)
include_directories(${RCPPFLAGS})

execute_process(COMMAND ${RPATH} CMD config --ldflags
                OUTPUT_VARIABLE RLDFLAGS)
string(LENGTH ${RLDFLAGS} RLDFLAGS_LEN)

if (${RLDFLAGS} MATCHES "[-][L]([^ ;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RLDFLAGS_L)
    string(STRIP ${RLDFLAGS_L} RLDFLAGS_L )
    link_directories(${RLDFLAGS_L} )
endif()

if (${RLDFLAGS} MATCHES "[-][l]([^;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RLDFLAGS_l)
    string(STRIP ${RLDFLAGS_l} RLDFLAGS_l )
endif()

execute_process(COMMAND ${RSCRIPT_PATH} -e "Rcpp:::CxxFlags()"
                OUTPUT_VARIABLE RCPPINCL)
string(SUBSTRING ${RCPPINCL} ${NUM_TRUNC_CHARS} -1 RCPPINCL)
include_directories(${RCPPINCL})

execute_process(COMMAND ${RSCRIPT_PATH} -e "Rcpp:::LdFlags()"
                OUTPUT_VARIABLE RCPPLIBS)

execute_process(COMMAND ${RSCRIPT_PATH} -e "RInside:::CxxFlags()"
                OUTPUT_VARIABLE RINSIDEINCL)
string(SUBSTRING ${RINSIDEINCL} ${NUM_TRUNC_CHARS} -1 RINSIDEINCL)
include_directories(${RINSIDEINCL})

execute_process(COMMAND ${RSCRIPT_PATH} -e "RInside:::LdFlags()"
                OUTPUT_VARIABLE RINSIDELIBS)

if (CMAKE_HOST_WIN32)
    string(LENGTH "libRcpp.a" lenRcppName)
    string(LENGTH ${RCPPLIBS} lenRcppFQName)
	
    math(EXPR RLibPathLen ${lenRcppFQName}-${lenRcppName}-1)
    string(SUBSTRING ${RCPPLIBS} 0 ${RLibPathLen} RCPPLIBS_L)
    link_directories(${RCPPLIBS_L})
	
    math(EXPR RLibPathLen ${RLibPathLen}+1)
    string(SUBSTRING ${RCPPLIBS} ${RLibPathLen} -1 RCPPLIBS_l)
	
	#Remove the quotes
    string(SUBSTRING ${RINSIDELIBS} 1 -1 RINSIDELIBS)
    string(LENGTH ${RINSIDELIBS} lenRInsideFQNameLen)
    math(EXPR lenRInsideFQNameLen ${lenRInsideFQNameLen}-1)
    string(SUBSTRING ${RINSIDELIBS} 0 ${lenRInsideFQNameLen} RINSIDELIBS)

    string(LENGTH "libRInside.a" lenRInsideName)
    string(LENGTH ${RINSIDELIBS} lenRInsideFQName)

    math(EXPR RLibPathLen ${lenRInsideFQName}-${lenRInsideName}-1)
    string(SUBSTRING ${RINSIDELIBS} 0 ${RLibPathLen} RINSIDELIBS_L)

    math(EXPR RLibPathLen ${RLibPathLen}+1)
    string(SUBSTRING ${RINSIDELIBS} ${RLibPathLen} -1 RINSIDELIBS_l)

    link_directories(${RINSIDELIBS_L})
else()	
    if (${RCPPLIBS} MATCHES "[-][L]([^ ;])+")
        string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RCPPLIBS_L)
        link_directories(${RCPPLIBS_L} )
    endif()

    if (${RCPPLIBS} MATCHES "[-][l][R]([^;])+")
        string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RCPPLIBS_l)
    endif()

    if (${RINSIDELIBS} MATCHES "[-][L]([^ ;])+")
        string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RINSIDELIBS_L)
        link_directories(${RINSIDELIBS_L})
    endif()

    if (${RINSIDELIBS} MATCHES "[-][l][R]([^;])+")
        string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RINSIDELIBS_l)
    endif()
endif()

execute_process(COMMAND ${RPATH} CMD config CXXFLAGS
                OUTPUT_VARIABLE RCXXFLAGS)

execute_process(COMMAND ${RPATH} CMD config BLAS_LIBS
                OUTPUT_VARIABLE RBLAS)

execute_process(COMMAND ${RPATH} CMD config LAPACK_LIBS
                OUTPUT_VARIABLE RLAPACK)

set(CMAKE_CXX_FLAGS "-W -Wall -pedantic -Wextra ${CMAKE_CXX_FLAGS}")

if (CMAKE_BUILD_TYPE STREQUAL "DEBUG" OR
    CMAKE_BUILD_TYPE STREQUAL "RelWithDebugInfo" )
    add_definitions("-DDEBUG")
elseif ( CMAKE_BUILD_TYPE STREQUAL "RELEASE" )
    add_definitions("-O3")
endif()

foreach (next_SOURCE ${sources})
   get_filename_component(source_name ${next_SOURCE} NAME_WE)
   add_executable( ${source_name} ${next_SOURCE} )
   
   target_link_libraries(${source_name} ${RLDFLAGS_l})
   target_link_libraries(${source_name} ${BLAS_LIBS})
   target_link_libraries(${source_name} ${LAPACK_LIBS})
   target_link_libraries(${source_name} ${RINSIDELIBS_l})
   target_link_libraries(${source_name} ${RCPPLIBS_l})
      
endforeach (next_SOURCE ${sources})

=== debian/changelog ===
r-cran-rinside (0.2.16-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 16:46:04 +0000

r-cran-rinside (0.2.16-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Mar 2020 18:39:23 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.1), dh-r, r-cran-rcpp (>= 0.11.0)
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.3), dh-r, r-cran-rcpp (>= 0.11.0)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rinside
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rinside.git
 Homepage: https://cran.r-project.org/package=RInside

## r-cran-rinside 0.2.17

=== debian/changelog ===
r-cran-rinside (0.2.17-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 Apr 2022 15:21:40 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.3), dh-r, r-cran-rcpp (>= 0.11.0)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.3), dh-r, r-cran-rcpp (>= 0.11.0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rinside
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rinside.git
 Homepage: https://cran.r-project.org/package=RInside

## r-cran-rinside 0.2.18

=== inst/examples/mpi/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.4) 

set (SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR}/..)

execute_process(COMMAND R RHOME
                OUTPUT_VARIABLE R_HOME)

find_package(MPI REQUIRED)
set(CMAKE_CXX_COMPILE_FLAGS ${CMAKE_CXX_COMPILE_FLAGS} ${MPI_COMPILE_FLAGS})
set(CMAKE_CXX_LINK_FLAGS ${CMAKE_CXX_LINK_FLAGS} ${MPI_LINK_FLAGS})
include_directories(${MPI_INCLUDE_PATH})

file(GLOB sources ${SRC_DIR}/*.cpp)

set(NUM_TRUNC_CHARS 2)

execute_process(COMMAND R CMD config --cppflags
                OUTPUT_VARIABLE RCPPFLAGS)
string(SUBSTRING ${RCPPFLAGS} ${NUM_TRUNC_CHARS} -1 RCPPFLAGS)
include_directories(${RCPPFLAGS})

execute_process(COMMAND R CMD config --ldflags
                OUTPUT_VARIABLE RLDFLAGS)
string(LENGTH ${RLDFLAGS} RLDFLAGS_LEN)

if (${RLDFLAGS} MATCHES "[-][L]([^ ;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RLDFLAGS_L)
    string(STRIP ${RLDFLAGS_L} RLDFLAGS_L )
    link_directories(${RLDFLAGS_L} )
endif()

if (${RLDFLAGS} MATCHES "[-][l]([^;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RLDFLAGS_l)
    string(STRIP ${RLDFLAGS_l} RLDFLAGS_l )
endif()

execute_process(COMMAND Rscript -e "Rcpp:::CxxFlags()"
                OUTPUT_VARIABLE RCPPINCL)
string(SUBSTRING ${RCPPINCL} ${NUM_TRUNC_CHARS} -1 RCPPINCL)
include_directories(${RCPPINCL})

execute_process(COMMAND Rscript -e "Rcpp:::LdFlags()"
                OUTPUT_VARIABLE RCPPLIBS)
if (${RCPPLIBS} MATCHES "[-][L]([^ ;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RCPPLIBS_L)
    link_directories(${RCPPLIBS_L} )
endif()

if (${RCPPLIBS} MATCHES "[-][l][R]([^;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RCPPLIBS_l)
endif()

execute_process(COMMAND Rscript -e "RInside:::CxxFlags()"
                OUTPUT_VARIABLE RINSIDEINCL)
string(SUBSTRING ${RINSIDEINCL} ${NUM_TRUNC_CHARS} -1 RINSIDEINCL)
include_directories(${RINSIDEINCL})

execute_process(COMMAND Rscript -e "RInside:::LdFlags()"
                OUTPUT_VARIABLE RINSIDELIBS)
if (${RINSIDELIBS} MATCHES "[-][L]([^ ;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RINSIDELIBS_L)
    link_directories(${RINSIDELIBS_L})
endif()

if (${RINSIDELIBS} MATCHES "[-][l][R]([^;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RINSIDELIBS_l)
endif()

execute_process(COMMAND R CMD config CXXFLAGS
                OUTPUT_VARIABLE RCXXFLAGS)

execute_process(COMMAND R CMD config BLAS_LIBS
                OUTPUT_VARIABLE RBLAS)

execute_process(COMMAND R CMD config LAPACK_LIBS
                OUTPUT_VARIABLE RLAPACK)

set(CMAKE_CXX_FLAGS "-W -Wall -pedantic -Wextra ${CMAKE_CXX_FLAGS}")

if (CMAKE_BUILD_TYPE STREQUAL "DEBUG" OR
    CMAKE_BUILD_TYPE STREQUAL "RelWithDebugInfo" )
    add_definitions("-DDEBUG")
elseif ( CMAKE_BUILD_TYPE STREQUAL "RELEASE" )
    add_definitions("-O3")
endif()

foreach (next_SOURCE ${sources})
   get_filename_component(source_name ${next_SOURCE} NAME_WE)
   add_executable( ${source_name} ${next_SOURCE} )

   target_link_libraries(${source_name} ${RCPPLIBS_l})
   target_link_libraries(${source_name} ${RINSIDELIBS_l})
   target_link_libraries(${source_name} ${RLDFLAGS_l})
   target_link_libraries(${source_name} ${BLAS_LIBS})
   target_link_libraries(${source_name} ${LAPACK_LIBS})
   target_link_libraries(${source_name} ${MPI_LIBRARIES})
endforeach (next_SOURCE ${sources})

=== debian/changelog ===
r-cran-rinside (0.2.18-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 Feb 2023 11:59:18 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.3), dh-r, r-cran-rcpp (>= 0.11.0)
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-rcpp (>= 0.11.0)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rinside
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rinside.git
 Homepage: https://cran.r-project.org/package=RInside

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/RInside_([-\d\.]*)\.tar.gz

## r-cran-rinside 0.2.19

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Package: RInside
 Title: C++ Classes to Embed R in C++ (and C) Applications
-Version: 0.2.16
-Date: 2020-03-12
-Author: Dirk Eddelbuettel, Romain Francois, and Lance Bachmeier
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Version: 0.2.19
+Date: 2025-04-22
+Authors@R: c(person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
+                    comment = c(ORCID = "0000-0001-6419-907X")),
+             person("Romain", "Francois", role = "aut",
+                    comment = c(ORCID = "0000-0002-2444-4226")),
+             person("Lance", "Bachmeier", role = "ctb"))
 Description: C++ classes to embed R in C++ (and C) applications
  A C++ class providing the R interpreter is offered by this package
  making it easier to have "R inside" your C++ application. As R itself
@@ -22,12 +25,17 @@
  the C++ classes is available at the 'RInside' website as well.
 Imports: Rcpp
 LinkingTo: Rcpp
-URL: http://dirk.eddelbuettel.com/code/rinside.html
+URL: https://github.com/eddelbuettel/rinside/,
+        https://dirk.eddelbuettel.com/code/rinside.html
 License: GPL (>= 2)
 BugReports: https://github.com/eddelbuettel/rinside/issues
 MailingList: Please send questions and comments regarding RInside to
         rcpp-devel@lists.r-forge.r-project.org
 NeedsCompilation: yes
-Packaged: 2020-03-12 12:21:27.111341 UTC; edd
+Packaged: 2025-04-22 21:58:05 UTC; edd
+Author: Dirk Eddelbuettel [aut, cre] (<https://orcid.org/0000-0001-6419-907X>),
+  Romain Francois [aut] (<https://orcid.org/0000-0002-2444-4226>),
+  Lance Bachmeier [ctb]
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Repository: CRAN
-Date/Publication: 2020-03-12 15:10:02 UTC
+Date/Publication: 2025-04-22 23:20:02 UTC

=== inst/examples/armadillo/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.4) 

set (VERBOSE 1)
set (SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR}/..)

execute_process(COMMAND R RHOME
                OUTPUT_VARIABLE R_HOME)

file(GLOB sources ${SRC_DIR}/*.cpp)

set(NUM_TRUNC_CHARS 2)

set (RPATH "R")
set (RSCRIPT_PATH "Rscript")

if (CMAKE_HOST_WIN32)
    execute_process(COMMAND ${RSCRIPT_PATH} -e "cat(.Platform$r_arch)"
                    OUTPUT_VARIABLE R_ARCH)
		
	execute_process(COMMAND R --arch ${R_ARCH} RHOME
                    OUTPUT_VARIABLE R_HOME)
	
    string(REPLACE "\\" "/" R_HOME ${R_HOME})	
	
	set (RPATH ${R_HOME}/bin/R)
endif()

set (RCPPFLAGS_CMD " ${RPATH} " " CMD " " config " " --cppflags ") 

execute_process(COMMAND ${RPATH} CMD config --cppflags
                OUTPUT_VARIABLE RCPPFLAGS)

if (CMAKE_HOST_WIN32)
    if (${RCPPFLAGS} MATCHES "[-][I]([^ ;])+")
	set (RCPPFLAGS ${CMAKE_MATCH_0})
    endif()
endif()

string(SUBSTRING ${RCPPFLAGS} ${NUM_TRUNC_CHARS} -1 RCPPFLAGS)
include_directories(${RCPPFLAGS})

execute_process(COMMAND ${RPATH} CMD config --ldflags
                OUTPUT_VARIABLE RLDFLAGS)
string(LENGTH ${RLDFLAGS} RLDFLAGS_LEN)

if (${RLDFLAGS} MATCHES "[-][L]([^ ;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RLDFLAGS_L)
    string(STRIP ${RLDFLAGS_L} RLDFLAGS_L )
    link_directories(${RLDFLAGS_L} )
endif()

if (${RLDFLAGS} MATCHES "[-][l]([^;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RLDFLAGS_l)
    string(STRIP ${RLDFLAGS_l} RLDFLAGS_l )
endif()

execute_process(COMMAND ${RSCRIPT_PATH} -e "Rcpp:::CxxFlags()"
                OUTPUT_VARIABLE RCPPINCL)
string(SUBSTRING ${RCPPINCL} ${NUM_TRUNC_CHARS} -1 RCPPINCL)
include_directories(${RCPPINCL})

execute_process(COMMAND ${RSCRIPT_PATH} -e "Rcpp:::LdFlags()"
                OUTPUT_VARIABLE RCPPLIBS)

execute_process(COMMAND ${RSCRIPT_PATH} -e "RInside:::CxxFlags()"
                OUTPUT_VARIABLE RINSIDEINCL)
string(SUBSTRING ${RINSIDEINCL} ${NUM_TRUNC_CHARS} -1 RINSIDEINCL)
include_directories(${RINSIDEINCL})
message(${RINSIDEINCL})

execute_process(COMMAND ${RSCRIPT_PATH} -e "RInside:::LdFlags()"
                OUTPUT_VARIABLE RINSIDELIBS)

execute_process(COMMAND ${RSCRIPT_PATH} -e "RcppArmadillo:::CxxFlags()"
                OUTPUT_VARIABLE RCPPARMADILLOINCL)

string(LENGTH ${RCPPARMADILLOINCL} INCLLENGTH)
math(EXPR INCLLENGTH "${INCLLENGTH}-4")

string(SUBSTRING ${RCPPARMADILLOINCL} 3 ${INCLLENGTH} RCPPARMADILLOINCL)
include_directories(${RCPPARMADILLOINCL})

if (CMAKE_HOST_WIN32)
    string(LENGTH "libRcpp.a" lenRcppName)
    string(LENGTH ${RCPPLIBS} lenRcppFQName)
	
    math(EXPR RLibPathLen ${lenRcppFQName}-${lenRcppName}-1)
    string(SUBSTRING ${RCPPLIBS} 0 ${RLibPathLen} RCPPLIBS_L)
    link_directories(${RCPPLIBS_L})
	
    math(EXPR RLibPathLen ${RLibPathLen}+1)
    string(SUBSTRING ${RCPPLIBS} ${RLibPathLen} -1 RCPPLIBS_l)
	
	#Remove the quotes
    string(SUBSTRING ${RINSIDELIBS} 1 -1 RINSIDELIBS)
    string(LENGTH ${RINSIDELIBS} lenRInsideFQNameLen)
    math(EXPR lenRInsideFQNameLen ${lenRInsideFQNameLen}-1)
    string(SUBSTRING ${RINSIDELIBS} 0 ${lenRInsideFQNameLen} RINSIDELIBS)

    string(LENGTH "libRInside.a" lenRInsideName)
    string(LENGTH ${RINSIDELIBS} lenRInsideFQName)

    math(EXPR RLibPathLen ${lenRInsideFQName}-${lenRInsideName}-1)
    string(SUBSTRING ${RINSIDELIBS} 0 ${RLibPathLen} RINSIDELIBS_L)

    math(EXPR RLibPathLen ${RLibPathLen}+1)
    string(SUBSTRING ${RINSIDELIBS} ${RLibPathLen} -1 RINSIDELIBS_l)

    link_directories(${RINSIDELIBS_L})
	
	set ( BLAS_LIBS ${CMAKE_CURRENT_SOURCE_DIR}/libblas.lib)
	set ( LAPACK_LIBRARY ${CMAKE_CURRENT_SOURCE_DIR}/liblapack.lib)
	link_directories(${CMAKE_CURRENT_SOURCE_DIR})

else()	
    if (${RCPPLIBS} MATCHES "[-][L]([^ ;])+")
        string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RCPPLIBS_L)
        link_directories(${RCPPLIBS_L} )
    endif()

    if (${RCPPLIBS} MATCHES "[-][l][R]([^;])+")
        string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RCPPLIBS_l)
    endif()

    if (${RINSIDELIBS} MATCHES "[-][L]([^ ;])+")
        string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RINSIDELIBS_L)
        link_directories(${RINSIDELIBS_L})
    endif()

    if (${RINSIDELIBS} MATCHES "[-][l][R]([^;])+")
        string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RINSIDELIBS_l)
    endif()

    # If the faster 'gold' linker is used, to avoid complaints about undefined symbol
    SET(CMAKE_FIND_LIBRARY_SUFFIXES_SAVED ${CMAKE_FIND_LIBRARY_SUFFIXES}) # Backup
    LIST(APPEND CMAKE_FIND_LIBRARY_SUFFIXES ".so.3")
    FIND_LIBRARY(BLAS_LIBRARY blas)
    SET(CMAKE_FIND_LIBRARY_SUFFIXES ${CMAKE_FIND_LIBRARY_SUFFIXES_SAVED}) # Restore
    LIST(APPEND EXTRA_LIBRARIES ${BLAS_LIBRARY})

    FIND_LIBRARY(LAPACK_LIBRARY lapack)
endif()

execute_process(COMMAND ${RPATH} CMD config CXXFLAGS
                OUTPUT_VARIABLE RCXXFLAGS)

execute_process(COMMAND ${RPATH} CMD config BLAS_LIBS
                OUTPUT_VARIABLE RBLAS)

execute_process(COMMAND ${RPATH} CMD config LAPACK_LIBS
                OUTPUT_VARIABLE RLAPACK)

set(CMAKE_CXX_FLAGS "-W -Wall -pedantic -Wextra ${CMAKE_CXX_FLAGS}")

if (CMAKE_BUILD_TYPE STREQUAL "DEBUG" OR
    CMAKE_BUILD_TYPE STREQUAL "RelWithDebugInfo" )
    add_definitions("-DDEBUG")
elseif ( CMAKE_BUILD_TYPE STREQUAL "RELEASE" )
    add_definitions("-O3")
endif()

message ("cmake_cxx_flags" ${CMAKE_CXX_FLAGS})

foreach (next_SOURCE ${sources})
   get_filename_component(source_name ${next_SOURCE} NAME_WE)
   add_executable( ${source_name} ${next_SOURCE} )
   
   target_link_libraries(${source_name} ${RLDFLAGS_l})
   target_link_libraries(${source_name} ${BLAS_LIBS})
   target_link_libraries(${source_name} ${LAPACK_LIBS})
   target_link_libraries(${source_name} ${RINSIDELIBS_l})
   target_link_libraries(${source_name} ${RCPPLIBS_l})
   target_link_libraries(${source_name} ${EXTRA_LIBRARIES})

   target_link_libraries(${source_name} ${LAPACK_LIBRARY})
   
endforeach (next_SOURCE ${sources})

=== inst/examples/eigen/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.4) 

set (VERBOSE 1)
set (SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR}/..)

execute_process(COMMAND R RHOME
                OUTPUT_VARIABLE R_HOME)

file(GLOB sources ${SRC_DIR}/*.cpp)

set(NUM_TRUNC_CHARS 2)

set (RPATH "R")
set (RSCRIPT_PATH "Rscript")

if (CMAKE_HOST_WIN32)
    execute_process(COMMAND ${RSCRIPT_PATH} -e "cat(.Platform$r_arch)"
                    OUTPUT_VARIABLE R_ARCH)
		
	execute_process(COMMAND ${RPATH} --arch ${R_ARCH} RHOME
                    OUTPUT_VARIABLE R_HOME)
	
    string(REPLACE "\\" "/" R_HOME ${R_HOME})	
	
	set (RPATH ${R_HOME}/bin/R)
endif()

set (RCPPFLAGS_CMD " ${RPATH} " " CMD " " config " " --cppflags ") 

execute_process(COMMAND ${RPATH} CMD config --cppflags
                OUTPUT_VARIABLE RCPPFLAGS)

if (CMAKE_HOST_WIN32)
    if (${RCPPFLAGS} MATCHES "[-][I]([^ ;])+")
	set (RCPPFLAGS ${CMAKE_MATCH_0})
    endif()
endif()

string(SUBSTRING ${RCPPFLAGS} ${NUM_TRUNC_CHARS} -1 RCPPFLAGS)
include_directories(${RCPPFLAGS})

execute_process(COMMAND R CMD config --ldflags
                OUTPUT_VARIABLE RLDFLAGS)
string(LENGTH ${RLDFLAGS} RLDFLAGS_LEN)

if (${RLDFLAGS} MATCHES "[-][L]([^ ;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RLDFLAGS_L)
    string(STRIP ${RLDFLAGS_L} RLDFLAGS_L )
    link_directories(${RLDFLAGS_L} )
endif()

if (${RLDFLAGS} MATCHES "[-][l]([^;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RLDFLAGS_l)
    string(STRIP ${RLDFLAGS_l} RLDFLAGS_l )
endif()

execute_process(COMMAND Rscript -e "Rcpp:::CxxFlags()"
                OUTPUT_VARIABLE RCPPINCL)
string(SUBSTRING ${RCPPINCL} ${NUM_TRUNC_CHARS} -1 RCPPINCL)
include_directories(${RCPPINCL})

execute_process(COMMAND Rscript -e "Rcpp:::LdFlags()"
                OUTPUT_VARIABLE RCPPLIBS)

execute_process(COMMAND Rscript -e "RInside:::CxxFlags()"
                OUTPUT_VARIABLE RINSIDEINCL)
string(SUBSTRING ${RINSIDEINCL} ${NUM_TRUNC_CHARS} -1 RINSIDEINCL)
include_directories(${RINSIDEINCL})

execute_process(COMMAND Rscript -e "RInside:::LdFlags()"
                OUTPUT_VARIABLE RINSIDELIBS)

execute_process(COMMAND Rscript -e "cat(paste('-I', system.file('include', package = 'RcppEigen'), sep=''))" OUTPUT_VARIABLE RCPPEIGENINCL)

string(SUBSTRING ${RCPPEIGENINCL} ${NUM_TRUNC_CHARS} -1 RCPPEIGENINCL)
include_directories(${RCPPEIGENINCL})

if (CMAKE_HOST_WIN32)
    string(LENGTH "libRcpp.a" lenRcppName)
    string(LENGTH ${RCPPLIBS} lenRcppFQName)
	
    math(EXPR RLibPathLen ${lenRcppFQName}-${lenRcppName}-1)
    string(SUBSTRING ${RCPPLIBS} 0 ${RLibPathLen} RCPPLIBS_L)
    link_directories(${RCPPLIBS_L})
	
    math(EXPR RLibPathLen ${RLibPathLen}+1)
    string(SUBSTRING ${RCPPLIBS} ${RLibPathLen} -1 RCPPLIBS_l)
	
	#Remove the quotes
    string(SUBSTRING ${RINSIDELIBS} 1 -1 RINSIDELIBS)
    string(LENGTH ${RINSIDELIBS} lenRInsideFQNameLen)
    math(EXPR lenRInsideFQNameLen ${lenRInsideFQNameLen}-1)
    string(SUBSTRING ${RINSIDELIBS} 0 ${lenRInsideFQNameLen} RINSIDELIBS)

    string(LENGTH "libRInside.a" lenRInsideName)
    string(LENGTH ${RINSIDELIBS} lenRInsideFQName)

    math(EXPR RLibPathLen ${lenRInsideFQName}-${lenRInsideName}-1)
    string(SUBSTRING ${RINSIDELIBS} 0 ${RLibPathLen} RINSIDELIBS_L)

    math(EXPR RLibPathLen ${RLibPathLen}+1)
    string(SUBSTRING ${RINSIDELIBS} ${RLibPathLen} -1 RINSIDELIBS_l)

    link_directories(${RINSIDELIBS_L})
	
	set ( BLAS_LIBS ${CMAKE_CURRENT_SOURCE_DIR}/libblas.lib)
	set ( LAPACK_LIBRARY ${CMAKE_CURRENT_SOURCE_DIR}/liblapack.lib)
	link_directories(${CMAKE_CURRENT_SOURCE_DIR})
else()	
    if (${RCPPLIBS} MATCHES "[-][L]([^ ;])+")
        string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RCPPLIBS_L)
        link_directories(${RCPPLIBS_L} )
    endif()

    if (${RCPPLIBS} MATCHES "[-][l][R]([^;])+")
        string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RCPPLIBS_l)
    endif()

    if (${RINSIDELIBS} MATCHES "[-][L]([^ ;])+")
        string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RINSIDELIBS_L)
        link_directories(${RINSIDELIBS_L})
    endif()

    if (${RINSIDELIBS} MATCHES "[-][l][R]([^;])+")
        string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RINSIDELIBS_l)
    endif()

    # If the faster 'gold' linker is used, to avoid complaints about undefined symbol
    SET(CMAKE_FIND_LIBRARY_SUFFIXES_SAVED ${CMAKE_FIND_LIBRARY_SUFFIXES}) # Backup
    LIST(APPEND CMAKE_FIND_LIBRARY_SUFFIXES ".so.3")
    FIND_LIBRARY(BLAS_LIBRARY blas)
    SET(CMAKE_FIND_LIBRARY_SUFFIXES ${CMAKE_FIND_LIBRARY_SUFFIXES_SAVED}) # Restore
    LIST(APPEND EXTRA_LIBRARIES ${BLAS_LIBRARY})
endif()

execute_process(COMMAND R CMD config CXXFLAGS
                OUTPUT_VARIABLE RCXXFLAGS)

execute_process(COMMAND R CMD config BLAS_LIBS
                OUTPUT_VARIABLE RBLAS)

execute_process(COMMAND R CMD config LAPACK_LIBS
                OUTPUT_VARIABLE RLAPACK)


FIND_LIBRARY(LAPACK_LIBRARY lapack)

set(CMAKE_CXX_FLAGS "-W -Wall -pedantic -Wextra ${CMAKE_CXX_FLAGS}")

if (CMAKE_BUILD_TYPE STREQUAL "DEBUG" OR
    CMAKE_BUILD_TYPE STREQUAL "RelWithDebugInfo" )
    add_definitions("-DDEBUG")
elseif ( CMAKE_BUILD_TYPE STREQUAL "RELEASE" )
    add_definitions("-O3")
endif()

foreach (next_SOURCE ${sources})
   get_filename_component(source_name ${next_SOURCE} NAME_WE)
   add_executable( ${source_name} ${next_SOURCE} )
   
   target_link_libraries(${source_name} ${RLDFLAGS_l})
   target_link_libraries(${source_name} ${BLAS_LIBS})
   target_link_libraries(${source_name} ${LAPACK_LIBS})
   target_link_libraries(${source_name} ${RINSIDELIBS_l})
   target_link_libraries(${source_name} ${RCPPLIBS_l})
   target_link_libraries(${source_name} ${EXTRA_LIBRARIES})
   target_link_libraries(${source_name} ${LAPACK_LIBRARY})
endforeach (next_SOURCE ${sources})

=== inst/examples/qt/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.21)

project(qtdensitydemo)
find_package(Qt6 REQUIRED)
find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets SvgWidgets)

set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_MESSAGE_CONTEXT_SHOW ON)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_FIND_FRAMEWORK ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_VERBOSE_MAKEFILE 0)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

set(QT_USE_QTSVG 1)

add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_DLL)
include_directories(${QT_INCLUDE_DIR})
link_directories(${QT_LIBRARY_DIR})

execute_process(COMMAND R RHOME
                OUTPUT_VARIABLE R_HOME)

set(sources ../main.cpp
            ../qtdensity.cpp)
             
set(headers ../qtdensity.h)

set(NUM_TRUNC_CHARS 2)

execute_process(COMMAND R CMD config --cppflags OUTPUT_VARIABLE RCPPFLAGS)
string(SUBSTRING ${RCPPFLAGS} ${NUM_TRUNC_CHARS} -1 RCPPFLAGS)
include_directories(${RCPPFLAGS})

execute_process(COMMAND R CMD config --ldflags OUTPUT_VARIABLE RLDFLAGS)
string(LENGTH ${RLDFLAGS} RLDFLAGS_LEN)
string(STRIP ${RLDFLAGS} RLDFLAGS)

execute_process(COMMAND Rscript -e "Rcpp:::CxxFlags()" OUTPUT_VARIABLE RCPPINCL)
string(SUBSTRING ${RCPPINCL} ${NUM_TRUNC_CHARS} -1 RCPPINCL)
string(REPLACE "\"" "" RCPPINCL ${RCPPINCL}) #Rcpp::CxxFlags() adds quotes around the include directory, which is friendly and all but breaks include_directories
include_directories(${RCPPINCL})

execute_process(COMMAND Rscript -e "Rcpp:::LdFlags()" OUTPUT_VARIABLE RCPPLIBS)
if (${RCPPLIBS} MATCHES "[-][L]([^ ;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RCPPLIBS_L)
    link_directories(${RCPPLIBS_L} )
endif()

if (${RCPPLIBS} MATCHES "[-][l][R]([^;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RCPPLIBS_l)
endif()

execute_process(COMMAND Rscript -e "RInside:::CxxFlags()"
                OUTPUT_VARIABLE RINSIDEINCL)
string(SUBSTRING ${RINSIDEINCL} ${NUM_TRUNC_CHARS} -1 RINSIDEINCL)
include_directories(${RINSIDEINCL})

execute_process(COMMAND Rscript -e "RInside:::LdFlags()" OUTPUT_VARIABLE RINSIDELIBS)
string(STRIP ${RINSIDELIBS} RINSIDELIBS )
string(REPLACE "\"" "" RINSIDELIBS ${RINSIDELIBS})

if (${RINSIDELIBS} MATCHES "[-][L]([^ ;])+")
    string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RINSIDELIBS_L)
    link_directories(${RINSIDELIBS_L})
endif()

if (${RINSIDELIBS} MATCHES "[-][l][R]([^;])+")
	string(SUBSTRING ${CMAKE_MATCH_0} ${NUM_TRUNC_CHARS} -1 RINSIDELIBS_l)
endif()

if (${RINSIDELIBS} MATCHES ".+\.a$")
	set(RINSIDELIBS_l ${RINSIDELIBS})
endif()

execute_process(COMMAND R CMD config CXXFLAGS    OUTPUT_VARIABLE RCXXFLAGS)
execute_process(COMMAND R CMD config BLAS_LIBS   OUTPUT_VARIABLE RBLAS)
execute_process(COMMAND R CMD config LAPACK_LIBS OUTPUT_VARIABLE RLAPACK)

set(CMAKE_CXX_FLAGS "-W -Wall -pedantic -Wextra ${CMAKE_CXX_FLAGS}")

if (CMAKE_BUILD_TYPE STREQUAL "DEBUG" OR
    CMAKE_BUILD_TYPE STREQUAL "RelWithDebugInfo" )
    add_definitions("-DDEBUG")
elseif ( CMAKE_BUILD_TYPE STREQUAL "RELEASE" )
    add_definitions("-O3")
endif()

qt_add_executable(qtdensitydemo ${sources} ${headers})

target_link_libraries(
	qtdensitydemo
	PRIVATE
	Qt6::Gui
	Qt6::Core
	Qt6::Widgets
	Qt6::SvgWidgets
	${BLAS_LIBS}
	${LAPACK_LIBS}
	${RCPPLIBS_l}
	${RINSIDELIBS_l}
	${RLDFLAGS}
)

=== debian/changelog ===
r-cran-rinside (0.2.19-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 22 Apr 2025 19:08:13 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-rcpp (>= 0.11.0)
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.0), dh-r, r-cran-rcpp (>= 0.11.0)
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rinside
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rinside.git
 Homepage: https://cran.r-project.org/package=RInside
